org.apache.fop.render.pcl.fonts

## Class PCLCharacterWriter

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLCharacterWriter

Direct Known Subclasses:
  PCLTTFCharacterWriter

    public abstract class PCLCharacterWriter
    extends Object

### Field Summary

Fields
`protected PCLSoftFont` `font`
`protected FontFileReader` `fontReader`
`protected OpenFont` `openFont`

### Constructor Summary

Constructors
Constructor and Description
`PCLCharacterWriter(PCLSoftFont font)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract byte[]` `writeCharacterDefinitions(String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### font

    protected PCLSoftFont font

#### openFont

    protected OpenFont openFont

#### fontReader

    protected FontFileReader fontReader

### Constructor Detail

#### PCLCharacterWriter

    public PCLCharacterWriter(PCLSoftFont font)
                       throws IOException

Throws:
  `IOException`

### Method Detail

#### writeCharacterDefinitions

    public abstract byte[] writeCharacterDefinitions(String text)
                                              throws IOException

Throws:
  `IOException`